html {
  scroll-behavior: smooth;
  box-sizing: border-box;
}

*, *::before, *::after {
    box-sizing: inherit;
}

body {
  margin: auto;
  font-family: "Inter", sans-serif;;
  font-style: normal;
  font-size: 20px;
  line-height: 40px;
  font-weight: 400;
  color: #000;
  background-color: #000;
}

.body-wrapper {
  overflow: hidden;
  width: 100%;
  position: relative;
}

h2 {
  display: flex;
  position: relative;
  justify-content: center;
  color: #0C0C0E;
  text-align: center;
  font-family: "Forum", cursive;
  font-size: 40px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px;
  letter-spacing: 2px;
  text-transform: capitalize;
  padding-top: 20px;
  margin: 0;
}

h2::after {
  display: flex;
  flex-shrink: 0;
  content: " ";
  background: #0C0C0E;
  width: 50px;
  height: 1px;
  position: absolute;
  bottom: -20px;
}

/* Header style start */

.header-title {
  display: flex;
  align-items: center;
  justify-content: left;
  margin-left: 20px;
  flex-grow: 1;
}

h1 {
  color: #fff;
  font-family: "Forum", cursive;
  font-size: 30px;
  font-style: normal;
  font-weight: 400;
  line-height: 50px;
  letter-spacing: 0.6px;
}

.wrapper {
  max-width: 1440px;
  margin-right: auto;
  margin-left: auto;
  background-color: #0C0C0E;
}

.header-wrapper {
  max-width: 1440px;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.header-list {
  display: flex;
  justify-content: center;
  list-style-type: none;
  padding-left: 0;
  height: 50px;
}

.header-item {
  margin-left: 30px;
  color: #fff;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 50px; /* 250% */
  letter-spacing: 0.01px;
}

.header-item:first-child {
  margin-right: 0;
}

.header-log {
  display: flex;
  position: relative;
  align-items: center;
  margin-left: 40px;
  margin-right: 20px;
  z-index: 2;
}

.header-log:hover {
  cursor: pointer;
}

.header-link {
  color: #FFF;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 50px;
  text-decoration: none;
}

.header-link:hover, .header-link:focus, .header-link:active {
  cursor: pointer;
  color: #BB945F;
  transition-duration: 0.5s;
}
.header-log.hidden {
  display: none;
}

.login-letters {
  display: flex;
  background-color: #fff;
  height: 28px;
  width: 28px;
  border-radius: 28px;
  cursor: pointer;
  z-index: 2;
  margin-left: 40px;
  margin-right: 20px;
}

.login-letters.hidden {
  display: none;
}

#inside-letters-login {
  padding: 0;
  margin: 0;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  padding-top: 4px;
  color: #BB945F;
  font-family: Inter;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 133.333% */
}

.dropdown {
  position: relative;
  display: flex;
  align-items: center;
}

.profile-before-registration, .profile-after-registration {
  position: absolute;
  display: none;
  top: 28px;
  right: 20px;
  width: 80px;
  height: 115px;
  background-color: #fff;
  z-index: 1;
  text-align: center;
  font-family: Inter;
  font-size: 15px;
  font-weight: 400;
  line-height: 20px;
}

.profile-before-registration.active, .profile-after-registration.active {
  display: block;
}

.profile-name {
  color: #000;
  font-family: Inter;
  font-size: 15px;
  font-style: normal;
  font-weight: 700;
  line-height: 20px;
  letter-spacing: 0.5px;
  padding: 0;
  margin-top: 5px;
  margin-bottom: 10px;
}

.profile-name::after {
  display: flex;
  flex-shrink: 0;
  content: " ";
  background: #BB945F;
  width: 40px;
  height: 1px;
  position: absolute;
  left: 20px;
  top: 30px;
}

.profile-before-registration a, .profile-after-registration a {
  color: black;
  padding-top: 10px;
  margin: 0;
  text-decoration: none;
  display: block;
}

.profile-before-registration a:hover, .profile-after-registration a:hover {
  color: #BB945F;
  transition-duration: 0.5s;
}

.burger-btn {
  display: none;
  position: relative;
  margin-right: 15px;
  margin-left: 15px;
  width: 55px;
  height: 30px;
  background-color: #0C0C0E;
  border: none;
  outline: none;
  cursor: pointer;
  z-index: 2;
}

.burger-btn span {
  display: block;
  position: absolute;
  left: 5px;
  width: 45px;
  height: 2px;
  background-color: #fff;
  transition: background-color 0.5s, opacity 0.3s, transform 0.3s;
  will-change: transform;
}

.burger-btn span:first-child {
  transform: translateY(-10px);
}

.burger-btn span:last-child {
  transform: translateY(10px);
}

/* close */

.header.open .burger-btn span:first-child {
  transform: translateY(0) rotate(-45deg);
  left: 5;
}

.header.open .burger-btn span:nth-child(2) {
  opacity: 0;
}

.header.open .burger-btn span:last-child {
  transform: translateY(0) rotate(45deg);
  left: 5;
}

/* Header style end */


/* Welcome style start */

.welcome-bg {
  position: relative;
  max-width: 1440px;
  margin-left: auto;
  margin-right: auto;
  height: 600px;
  background: url(Welcome.jpg) no-repeat center;
  background-size: cover;
}

.welcome-plate {
  position: absolute;
  display: flex;
  flex-wrap: nowrap;
  top: 220px;
  width: 600px;
  height: 220px;
  padding: 35px 40px;
  justify-content: center;
  align-items: center;
  background-color: #0C0C0E;
}

.welcome-plate-text {
  color: #fff;
  text-align: center;
  font-family: "Forum", cursive;
  font-size: 40px;
  font-style: normal;
  font-weight: 400;
  line-height: 50px;
  letter-spacing: 3px;
  text-transform: uppercase;
}

/* modal login / register start */

.popup {
  display: none;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: #00000076;
  z-index: 2;
}

.popup.shown {
  display: flex;
}

.login-title {
  text-align: center;
  font-family: Forum;
  font-size: 20px;
  line-height: 20px; /* 100% */
  letter-spacing: 0.4px;
}

.login-modal {
  display: none;
  width: 250px;
  height: 262px;
  background-color: #fff;
  position: relative;
  z-index: 5;
}

.login-modal.showed {
  display: block;
} 

.login-register {
  display: none;
  width: 250px;
  height: 382px;
  background-color: #fff;
  position: relative;
  z-index: 5;
}

.login-register.show {
  display: block;
}

.close-btn {
  position: absolute;
  width: 17px;
  height: 17px;
  top: 15px;
  right: 15px;
  background-color: #fff;
  border: none;
}

.close-btn span {
  display: block;
  position: absolute;
  right: -3px;
  width: 21px;
  height: 3px;
  background-color: #0C0C0E;
}

.close-btn:hover {
  cursor: pointer;
}

#profile-close-btn {
z-index: 5;
}

#profile-close-btn:hover {
  cursor: pointer;
}

.close-btn span:first-child {
  transform: translateY(0) rotate(-45deg);
}

.close-btn span:last-child {
  transform: translateY(0) rotate(45deg);
}

.buy-lib-card {
  height: 540px;
  width: 640px;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  z-index: 5;
}

.buy-lib-card.hidden {
  display: none;
}

.top {
 height: 60px;
 background-color: #0C0C0E;
 position: relative;
}

.buy-card-header {
  color: #FFF;
  text-align: center;
  font-family: Forum;
  font-size: 40px;
  letter-spacing: 0.8px;
  text-transform: uppercase;
  margin: 0;
  padding: 0;
  margin-top: 10px;
  margin-left: auto;
  margin-right: auto;
}

#buy-card-close-btn {
  background-color: #0C0C0E;
  color: #fff;
}

#buy-card-close-btn span {
  background-color: #fff;
}

.bottom {
  display: flex;
  justify-content: flex-start;
}

.left-card-info {
  padding-left: 40px;
  padding-top: 30px;
  width: 280px;
  position: relative;
}

.buy-card-form p {
  margin-left: 0;
}

#buy-card-exp-month {
  margin-right: 4px;
}

#buy-card-exp-month, #buy-card-exp-year {
  display: inline;
}

#buy-card-exp-month, #buy-card-exp-year, #buy-card-cvc {
 width: 45px;
}

#cardholder-name {
  margin-top: 10px;
}

#price {
  position: absolute;
  margin: 0;
  padding: 0;
  display: inline-block;
  color: #0C0C0E;
  font-family: Inter;
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: uppercase;
  bottom: -10px;
  right: 52px;
}

.right-part-description {
  width: 330px;
  padding: 0;
  color: #8E8E8E;
  font-family: Inter;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 133.333% */
  letter-spacing: 2px;
  margin: 30px 30px auto auto;
}

.login-form {
  margin: 0;
  padding: 0;
}

.inside-lines {
  font-family: Inter;
  font-size: 15px;
  line-height: 20px; /* 133.333% */
  letter-spacing: 0.3px;
  padding: 0;
  margin: 0;
  margin-left: 25px;
}

#login-user-name, #login-password, #register-user-name, #register-user-last-name, #register-email, #register-password {
  width: 200px;
  height: 20px;
  border: 1px solid #BB945F;
  margin-left: 25px;
  padding: 0;
  padding-left: 5px;
  color: #8E8E8E;
  font-family: Forum;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  letter-spacing: 0.6px;
}

.buy-card-lines {
  margin-left: 30px;
}

.i-lines {
  margin-left: 0;
  padding: 0;
  padding-left: 5px;
  width: 200px;
  height: 20px;
  border: 1px solid #BB945F;
  color: #8E8E8E;
  font-family: Forum;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  letter-spacing: 0.6px;
}

#log-in-btn, #sign-up-btn {
  margin-top: 10px;
  margin-left: 25px;
}

.options {
  display: flex;
  justify-content: flex-start;
  margin-top: 8px;
}

.question {
  display: block;
  margin-left: 25px;
  text-shadow: 0px 2px 3px rgba(255, 255, 255, 0.16);
  font-family: Inter;
  font-size: 10px;
  line-height: 15px;
}

.register {
  display: block;
  color: #0C0C0E;
  font-family: Inter;
  font-size: 10px;
  font-weight: 700;
  line-height: 15px;
  letter-spacing: 1px;
  text-decoration-line: underline;
  margin-left: 11px;
}

.register:hover {
  cursor: pointer;
  color: #BB945F;
  transition-duration: 0.5s;
}

.my-profile-modal {
  display: flex;
  width: 600px;
  height: 400px;
  margin: auto;
  background-color: #fff;
  position: relative;
}

.my-profile-modal.hidden {
  display: none;
}

#profile-close-btn {
  right: 25px;
  top: 25px;
}


.left-part {
 display: flex;
 width: 170px;
 height: 400px;
 background-color: #0C0C0E;
 position: relative;
 padding-left: 25px;
 padding-right: 25px;
}

.first-letters {
 width: 80px;
 height: 80px;
 background-color: #fff;
 margin-right: auto;
 position: absolute;
 top: 140px;
 left: 45px;
}

.inside-letters {
  display: flex;
  justify-content: center;
  margin-top: 30px;
  margin-left: auto;
  margin-right: auto;
  color: #BB945F;
  text-align: center;
  font-family: Inter;
  font-size: 20px;
  line-height: 20px;
  text-transform: uppercase;
}

.user-profile-name {
  display: flex;
  justify-content: center;
  align-content: flex-start;
  margin-top: 235px;
  padding: 5px;
  gap: 5px;
  margin-left: auto;
  margin-right: auto;
  flex-wrap: wrap;
  background-color: #fff;
  height: fit-content;
  width: fit-content;
}

.profile-name-modal, .profile-last-name-modal {
  display: flex;
  justify-self: center;
  font-family: Inter;
  font-size: 20px;
  line-height: 20px;
  text-transform: capitalize;
  background-color: #fff;
  margin: 0;
}

.right-part {
  display: flex;
width: 430px;
position: relative;
margin-right: 0;
}

.title-profile {
  position: absolute;
  top: 40px;
  left: 20px;
  display: flex;
  justify-content: flex-start;
}

.my-profile-title {
  font-family: Forum;
  font-size: 40px;
  line-height: 20px; /* 50% */
  letter-spacing: 0.8px;
  text-transform: uppercase;
  padding: 0;
  margin: 0;
}

.rented-books {
  display: flex;
  flex-direction: column;
  align-content: flex-start;
  position: absolute;
  top: 200px;
  left: 20px;
}

#rented-books-title {
  margin-bottom: 25px;
  color: #0C0C0E;
  font-family: Inter;
  font-size: 25px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 80% */
}

.rented-books-list {
  height: 70px;
  width: 370px;
  margin: 0;
  padding: 0;
  padding-left: 30px;
  overflow: auto;
}

#rented-books-list {
  display: flex;
  font-family: Inter;
  font-size: 20px;
  line-height: 20px; /* 100% */
  letter-spacing: 2px;
  text-transform: capitalize;
  margin: 0;
  padding: 0;
}

.list-item {
  margin-bottom: 0;
  padding: 0;
  padding-bottom: 10px;
}

.list-item:last-child {
  margin: 0;
}

.block {
  display: flex;
  flex-direction: row;
  margin-top: 100px;
  margin-left: 20px;
  gap: 20px;
  height: 81px;
}

.visits, .bonuses, .books {
  display: flex;
  flex-direction: column;
  align-content: center;
  text-align: center;
  font-family: Inter;
  line-height: 20px; /* 100% */
  letter-spacing: 0.4px;
  text-transform: capitalize;
}

.block-inside {
  padding: 0;
  margin: auto;
  margin-bottom: 5px;
  line-height: 20px;
}

.counter {
text-align: center;
font-family: Inter;
font-size: 10px;
letter-spacing: 0.2px;
}

#user-card-number {
  color: #BB945F;
  text-align: center;
  font-family: Inter;
}

.card-number-copy {
  margin: 0;
  padding: 0;
  display: flex;
  gap: 15px;
  position: absolute;
  left: 20px;
  bottom: 40px;
  height: 20px;
}

#card-number-copy {
  margin: 0;
  padding: 0;
  line-height: 20px;
}

#card-number-copy:hover {
  cursor: pointer;
}

/* modal login / register end */

/* Welcome style end */

.main {
  max-width: 1440px;
  margin: auto;
}

.main-info {
  box-sizing: border-box;
  max-width: 1440px;
  margin: auto;
  background-color: #fff;
  margin-top: 0;
}

/* About style start */

.about-library {
  text-align: center;
  margin-top: 60px;
}

.gallery {
  display: flex;
  margin-left: 20px;
  margin-right: 20px;
  max-width: 1440px;
}

.pics {
  display: flex;
  max-width: 1400px;
  overflow: hidden;
  gap: 25px;
}

.caret-rigth, .caret-left {
  display: none;
}

.buttons-container {
  display: flex;
  justify-content: space-around;
  width: 78px;
  height: 26px;
  margin-top: 23px;
  margin-bottom: 35px;
  margin-left: auto;
  margin-right: auto;
}

.page-buttons-bg {
  position: relative;
  height: 26px;
  width: 26px;
  background-color: #ffffff00;
}

.page-buttons {
  position: absolute;
  top: 5px;
  right: 5px;
  height: 16px;
  width: 16px;
  background-color: #0C0C0E;
  border-radius: 50%;
  display: inline-block;
}

#mediabtn4, #mediabtn5 {
  display: none;
}

.page-buttons-bg:hover {
  cursor: pointer;
  .page-buttons {
    background-color: #BB945F;
    transition-duration: 0.5s;
  }
}

.page-buttons.active {
  background-color: #BB945F;
}

.page-buttons-bg.active {
  cursor: default;
}

.pic {
  min-width: 450px;
}

/* Gallery slider */

.carousel {
  display: flex;
  position: relative;
  gap: 25px;
  left: 0px;
  transition-timing-function: ease-in-out;
  transition-duration: 0.8s;
}

/* About style end */

/* Favorites style start */

.favorites-choice {
  color: #000;
  text-align: left;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin-left: 20px;
  margin-top: 62px;
  margin-bottom: 35px;
}

.radio-choice {
  display: flex;
  justify-content: flex-start;
  align-content: flex-start;
  height: auto;
  margin-left: 15px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  line-height: normal;
  font-weight: 400;
}

.button-bg {
  padding: 5px 0 5px 5px;
  width: 115px;
  margin-right: 80px;
}

.button-bg:nth-child(2) {
  width: 110px;
}

.button-bg:nth-child(3) {
 width: 125px;
}

.button-bg:last-child {
  width: 125px;
  margin-right: 0;
}

.button-bg:hover, .button-bg:focus {
  cursor: pointer;
}

.season-label {
  margin-left: 15px;
}

.radio-style {
  width: 17px;
  height: 17px;
}

.radio-style:hover, label:hover {
  cursor: pointer;
}

input[type="radio"] {
	appearance: none;
}

input[type="radio"] {
	appearance: none;
	width: 17px;
	height: 17px;
	border: 2px solid #000;
	border-radius: 50%;
	background-clip: content-box;
	padding: 3px;
}

input[type="radio"]:checked {
	background-color: #000;
}

input:checked ~ span {
  font-weight: 700;
}

@keyframes booklistHide {
  from { opacity: 1; }
  to { opacity: 0; }
}

@keyframes booklistShow {
  from { opacity: 0; }
  to { opacity: 1; }
}

.book-list {
  display: none;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  max-width: 1400px;
  justify-content: space-between;
  flex-wrap: wrap;
  margin-left: 20px;
  margin-right: auto;
  margin-top: 35px;
}

.book-list.active {
  display: flex;
  opacity: 1;
}

#book-list-spring, #book-list-summer, #book-list-autumn  {
  display: none;
}

.book {
  position: relative;
  width: 550px;
  height: 555px;
  box-sizing: border-box;
  border: 1px solid #000;
  padding-top: 15px;
  padding-left: 20px;
  margin-bottom: 40px;
  margin-right: 40px;
}

.staff-picks {
  position: relative;
  font-family: "Forum", cursive;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 200% */
  letter-spacing: 2px;
  text-transform: capitalize;
  padding: 0;
  margin-top: 0;
}

.staff-picks::after {
  display: flex;
  flex-shrink: 0;
  content: " ";
  background: #BB945F;
  width: 60px;
  height: 1px;
  position: absolute;
  bottom: -1px;
}

.book-name {
  font-size: 15px;
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: uppercase;
  margin: 0;
}

.book-author {
  font-size: 15px;
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: capitalize;
  margin-top: 0;
  margin-bottom: 20px;
}

.book-description {
  width: 357px;
  margin-bottom: 60px;
  margin-right: 15px;
  font-size: 15px;
  letter-spacing: 2px;
  text-transform: capitalize;
}

.buy-button, .own-button {
  box-sizing: border-box;
  padding: 9px 27px;
  width: 75px;
  height: 30px;
  border-radius: 2px;
  border: 1px solid #0C0C0E;
  color: #0C0C0E;
  background-color: #fff;
  text-align: center;
  font-size: 10px;
  font-weight: 700;
  line-height: normal;
  letter-spacing: 1px;
  position: absolute;
  bottom: 15px;
  left: 20px;
  cursor: pointer;
}

.buy-button.hidden {
  display: none;
}

.buy-button:hover, .signlog-button:hover, .submit-button:hover {
  background-color: #BB945F;
  border: none;
  transition-duration: 2s;
}

.own-button {
  padding: 9px 25px;
  border: 1px solid #BB945F;
  color: #BB945F;
  cursor: auto;
}

.book-cover {
  position: absolute;
  bottom: 0;
  right: -40px;
  bottom: -1px
}

/* Favorites style end */

/* Coffee shop style start */

.coffee-shop {
  box-sizing: border-box;
  max-width: 1440px;
  padding: 0 20px;
}

.shop-description {
  color: #000;
  text-align: center;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 200% */
  letter-spacing: 2px;
  margin-top: 60px;
  margin-bottom: 0;
}

.menu {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.coffee-header {
  flex-grow: 1;
  margin-bottom: 20px;
  color: #BB945F;
  font-family: "Forum", cursive;
  font-size: 40px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 100% */
  letter-spacing: 2px;
  text-transform: capitalize;
  text-align: left;
}

.dessert-header {
  text-align: right;
  margin-bottom: 20px;
  margin-right: 0;
  color: #BB945F;
  font-family: "Forum", cursive;
  font-size: 40px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 100% */
  letter-spacing: 2px;
  text-transform: capitalize;
}

.coffee-items {
  width: 438px;
  height: 480px;
  flex-wrap: wrap;
  display: flex;
  justify-content: space-between;
  align-content: space-between;
}

.dessert-items {
  width: 482px;
  height: 480px;
  flex-wrap: wrap;
  display: flex;
  justify-content: flex-end;
  align-content: space-between;
}

.coffee-item {
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 200% */
  letter-spacing: 2px;
  text-transform: capitalize;
  margin-bottom: 20px;
  width: 200px;
}

.dessert-item {
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 200% */
  letter-spacing: 2px;
  text-transform: capitalize;
  margin-bottom: 20px;
  text-align: end;
}

.line::after {
  box-sizing: border-box;
  margin-top: 20px;
  display: block;
  flex-shrink: 0;
  content: " ";
  text-align: center;
  background: #BB945F;
  width: 100px;
  height: 1px;
}

.dessert-line::after {
  box-sizing: border-box;
  margin-top: 20px;
  margin-left: 57px;
  display: block;
  flex-shrink: 0;
  content: " ";
  text-align: center;
  background: #BB945F;
  width: 100px;
  height: 1px;
}

.price {
  font-family: "Forum", cursive;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 200% */
  letter-spacing: 2px;
  text-transform: capitalize;
}

.dessert-price {
  font-family: "Forum", cursive;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 200% */
  letter-spacing: 2px;
  text-transform: capitalize;
  margin-left: 60px;
}

/* Coffee shop style end */

/* Our contacts style start */

.contacts {
  padding-left: 20px;
}

.our-contacts {
  box-sizing: border-box;
  max-width: 1420px;
  text-align: center;
  margin-bottom: 40px;
  padding-right: 40px;
  padding-left: 20px;
}

.contact-heading {
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: capitalize;
  margin-bottom: 40px;
}

.phone-numbers {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

li {
  margin-bottom: 20px;
  font-size: 20px;
  letter-spacing: 2px;
  text-transform: capitalize;
}

li:last-child {
  margin-bottom: 40px;
}

#senior-staff {
  margin-bottom: 20px;
}

.phone-link {
  color: #000;
  text-decoration: none;
  text-transform: capitalize;
  letter-spacing: 2px;
}

.phone-link:hover, .phone-link:focus, .phone-link:active {
  cursor: pointer;
  color: #BB945F;
  transition-duration: 0.5s;
}

.director {
  letter-spacing: 2px;
  text-transform: capitalize;
}

.amanda-link {
  color: #000;
  text-decoration: none;
  font-weight: 700;
  text-transform: capitalize;
  letter-spacing: 2px;
}

.amanda-link:hover, .amanda-link:focus, .amanda-link:active {
  cursor: pointer;
  color: #BB945F;
  transition-duration: 0.5s;
}

.contacts-area {
  display: flex;
  justify-content: space-between;
  position: relative;
  padding-bottom: 28px;
  transition-duration: 2s;
}

.google-map {
  padding-right: 20px;
  padding-top: 21px;
}

/* Our contacts style end */


/* Digital library cards style start */

.library-card {
  box-sizing: border-box;
  padding-bottom: 40px;
  max-width: 1440px;
}

.cards {
  box-sizing: border-box;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  max-width: 1440px;
  box-sizing: border-box;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 30px;
}

.card {
  flex: 1;
}

.get-card {
  flex: 1;
}

.find {
  font-size: 30px;
  letter-spacing: 0.6px;
  margin-bottom: 27px;
  margin-left: 140px;
}

.find-card {
  box-sizing: border-box;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 94px;
  width: 600px;
  height: 386px;
  border: 3px solid #BB945F;
  background: #fff;
  position: relative;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.input-lines {
  box-sizing: border-box;
  width: 557px;
  height: 272px;
  margin-top: 20px;
  padding-left: 20px;
  padding-top: 20px;
  background: #BB945F;
}

.bpl-card {
  margin: 0px;
  padding: 0;
  font-family: "Forum", cursive;
  font-size: 30px;
  line-height: 50px; /* 166.667% */
  letter-spacing: 0.6px;
}

.card-form {
  margin: 0;
  padding: 0;
}

.lines {
  margin-left: -2px;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-content: flex-start;
}

#input-user-name, #input-card-number {
  box-sizing: border-box;
  padding-left: 20px;
  width: 520px;
  height: 66px;
  border-radius: 10px;
  border-color: #BB945F;
  background: #fff;
  color: #8E8E8E;
  font-family: "Forum", cursive;
  font-size: 30px;
  line-height: 50px; /* 166.667% */
  letter-spacing: 0.6px;
}

.card-inputs.hidden {
  display: none;
}

.card-info {
  display: flex;
  flex-direction: column;
  position: absolute;
  gap: 25px;
  bottom: 90px;
}

.user-name {
  display: flex;
}

.user-text {
  color: #BB945F;
  font-family: "Forum", cursive;
  font-size: 30px;
  line-height: 50px; /* 166.667% */
  letter-spacing: 0.6px;
  text-transform: capitalize;
  padding: 0;
  padding-left: 20px;
  padding-top: 8px;
  margin: 0;
  background-color: #fff;
  width: 520px;
  height: 66px;
  border-radius: 10px;
  z-index: 1;
}

.user-text.hidden {
  display: none;
}

#user-name {
  margin-top: 18px;
}

#card-number {
  position: absolute;
  bottom: 117px;
}

.submit-button {
  box-sizing: border-box;
  padding: 10px 40px;
  color: #0C0C0E;
  font-family: "Inter", sans-serif;
  text-align: center;
  font-size: 20px;
  font-weight: 700;
  letter-spacing: 1px;
  background-color: #fff;
  border-radius: 2px;
  border: 1px solid #0C0C0E;
  position: absolute;
  bottom: 27px;
  left: 176px;
  cursor: pointer;
}

.submit-button.hidden {
  display: none;
}

.block-card {
  display: none;
  position: absolute;
  display: flex;
  flex-direction: row;
  font-size: 10px;
  margin: 0;
  padding: 0; 
  bottom: 15px;
  gap: 35px;
  left: 210px;
  height: 63px;
}

.block-card {
  display: none;
}

.block-inside-card {
  padding: 0;
  margin: 0;
}

.get {
  text-align: right;
  font-family: "Forum", cursive;
  font-size: 30px;
  letter-spacing: 0.6px;
}

.description {
  width: 456px;
  text-align: right;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  line-height: 40px; /* 200% */
  letter-spacing: 0.4px;
  margin-left: auto;
  margin-right: 0;
}

.sign-log {
  display: flex;
  justify-content: flex-end;
  margin-top: 35px;
}

.signlog-button {
  box-sizing: border-box;
  width: 75px;
  height: 30px;
  color: #0C0C0E;
  text-align: center;
  font-size: 10px;
  font-weight: 700;
  letter-spacing: 1px;
  background-color: #fff;
  border-radius: 2px;
  border: 1px solid #0C0C0E;
  cursor: pointer;
}

.signlog-button:first-child {
  margin-right: 20px;
}

#profile-from-lib-card {
  display: none;
}
/* Digital library cards style end */


/* Footer style start */

.footer {
  max-width: 1440px;
  box-sizing: border-box;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 1px;
  height: 250px;
  margin-top: 1px;
  margin-left: auto;
  margin-right: auto;
  background-color: #0C0C0E;
}

.address-time {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
  margin-bottom: 0;
}

.address {
  color: #fff;
  font-family: "Inter", sans-serif;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 133.333% */
  margin-top: 0;
}

.address-link {
  color: #fff;
  font-family: "Inter", sans-serif;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 133.333% */
  margin-top: 0;
  text-decoration: none;
}

.address-link:hover, .address-link:active, .address-link:focus {
  cursor: pointer;
  color: #BB945F;
  transition-duration: 0.5s;
}

.time, .time-two {
  color: #fff;
  text-align: right;
  font-family: "Inter", sans-serif;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 133.333% */
  margin-top: 0;
  margin-bottom: 10px;
}

.time-two {
  margin-top: -5px;
}

.links-time {
  display: flex;
  justify-content: space-between;
  margin: 0;
}

.links-list {
  display: flex;
  justify-content: flex-start;
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.social-link {
  margin-right: 15px;
  padding: 0;
}

.social-link:last-child {
  margin: 0;
}

.footer-line {
  content: " ";
  background: #fff;
  color: #fff;
  max-width: 1400px;
  height: 1px;
  text-align: center;
  margin-top: 4px;
}

.my-contacts {
  display: flex;
  justify-content: space-between;
  margin-top: 25px;
}

.year {
  color: #fff;
  text-align: left;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 100% */
  letter-spacing: 2px;
}

.rs-school {
  color: #fff;
  text-align: center;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 100% */
  letter-spacing: 2px;
  margin-top: 10px;
  margin-left: 50px;
  margin-bottom: auto;
}

.rsschool-link {
  color: #fff;
  text-align: right;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 200% */
  letter-spacing: 2px;
  text-decoration: none;
}

.rsschool-link:hover, .rsschool-link:active, .rsschool-link:focus {
  cursor: pointer;
  color: #BB945F;
  transition-duration: 0.5s;
}

.github {
  color: #fff;
  text-align: right;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 200% */
  letter-spacing: 2px;
  padding: 0;
  margin-top: 10px;
  margin-bottom: auto;
}

.github-link {
  color: #fff;
  text-align: right;
  font-family: "Inter", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 40px; /* 200% */
  letter-spacing: 2px;
  padding: 0;
  margin-top: 10px;
  cursor: pointer;
  text-decoration: none;
}

.github-link:hover, .github-link:active, .github-link:focus {
  cursor: pointer;
  color: #BB945F;
  transition-duration: 0.5s;
}

/* Footer style end */